summaryrefslogtreecommitdiffstats
path: root/system/virtualbox-ose/virtualbox-ose.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/virtualbox-ose/virtualbox-ose.SlackBuild')
-rw-r--r--system/virtualbox-ose/virtualbox-ose.SlackBuild210
1 files changed, 210 insertions, 0 deletions
diff --git a/system/virtualbox-ose/virtualbox-ose.SlackBuild b/system/virtualbox-ose/virtualbox-ose.SlackBuild
new file mode 100644
index 0000000000..90b1faef35
--- /dev/null
+++ b/system/virtualbox-ose/virtualbox-ose.SlackBuild
@@ -0,0 +1,210 @@
+#!/bin/sh
+
+# Slackware build script for virtualbox-ose
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# Copyright 2008 Mauro Giachero <mauro.giachero@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=virtualbox-ose
+SRCNAM=VirtualBox
+VERSION=2.0.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# kmk doesn't support MAKEFLAGS, so we use JOBS here
+JOBS=${JOBS:-3}
+
+# Define Variable Names
+GUI=""
+qtgui=""
+
+# Support for the pulseaudio-backend
+if [ "${PULSE:-no}" = "no" ]; then
+ do_pulse="--disable-pulse"
+else
+ do_pulse=""
+fi
+
+# Using the vboxusers-group
+VBOXUSERS=${VBOXUSERS:-yes}
+
+if [ "$VBOXUSERS" = "yes" ]; then
+ # Check for vboxusers group here
+ if ! grep ^vboxusers: /etc/group 2>&1 > /dev/null; then
+ echo " Must have a vboxusers group to run this script."
+ echo " # groupadd -g 215 vboxusers"
+ echo " Or something similar."
+ exit 1
+ fi
+fi
+
+# Enable Hardeing - Defaulting to yes as requested by upstream
+if [ "${HARDENING:-yes}" = "yes" ]; then
+ harden="--enable-hardening"
+ VBOXUSERS="yes"
+else
+ harden="--disable-hardening"
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-${VERSION}-OSE.tar.bz2
+cd $SRCNAM-$VERSION
+patch -d src/VBox/Installer/linux -i $CWD/VBox.diff
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# The Innotek init script tries to set the device nodes' permissions.
+# This is problematic with VBOXUSERS=no, but you probably still want
+# this for security reasons when using the vboxusers-group
+if [ "$VBOXUSERS" = "yes" ]; then
+ GROUP="vboxusers"
+ MODE="750"
+ mkdir -p $PKG/etc/udev/rules.d
+ echo 'KERNEL=="vboxdrv", NAME="vboxdrv", OWNER="root", GROUP="vboxusers", MODE="0660"' \
+ > $PKG/etc/udev/rules.d/60-vboxdrv.rules
+else
+ patch -d src/VBox/Installer/linux -i $CWD/vboxdrv.sh.in.diff
+ GROUP="root"
+ MODE="755"
+ mkdir -p $PKG/etc/udev/rules.d
+ echo 'KERNEL=="vboxdrv", NAME="vboxdrv", MODE="0666"' \
+ > $PKG/etc/udev/rules.d/60-vboxdrv.rules
+fi
+
+# Support for the qt3-frontend
+if [ "${QT3:-yes}" = "yes" ]; then
+ qtgui+=" --with-qt-dir=/usr/lib/qt"
+ GUI+=" VirtualBox3"
+ mkdir -p $PKG/usr/share/applications
+ cp -f $CWD/VirtualBox3.desktop $PKG/usr/share/applications/
+ sed -i "s|\$VBOX_DOC_PATH|/usr/share/virtualbox|" \
+ $PKG/usr/share/applications/VirtualBox3.desktop
+else
+ qtgui+=" --disable-qt3"
+fi
+
+# Support for the qt4-frontend
+if [ "${QT4:-no}" = "no" ]; then
+ qtgui+=" --disable-qt4"
+else
+ GUI+=" VirtualBox"
+ mkdir -p $PKG/usr/share/applications
+ cp -f src/VBox/Installer/linux/VirtualBox.desktop $PKG/usr/share/applications/
+ sed -i "s|\$VBOX_DOC_PATH|/usr/share/virtualbox|" \
+ $PKG/usr/share/applications/VirtualBox.desktop
+fi
+
+cd src/VBox/Frontends/VirtualBox
+ sed -i "s/VirtualBox3_QT_TRANSLATIONS/VirtualBox_QT_TRANSLATIONS/" \
+ Makefile.kmk
+cd -
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --ose \
+ $harden \
+ $qtgui \
+ $do_pulse
+
+. env.sh
+
+kmk -j ${JOBS} LOCALCFG=$CWD/LocalConfig.kmk
+
+mkdir -p $PKG/usr/{lib,share}/virtualbox \
+ $PKG/usr/{bin,src} \
+ $PKG/usr/share/pixmaps \
+ $PKG/etc/{rc.d,vbox}
+
+cp -f src/VBox/Installer/linux/vboxnet.sh.in $PKG/etc/rc.d/rc.vboxnet.new
+cp -f src/VBox/Installer/linux/vboxdrv.sh.in $PKG/etc/rc.d/rc.vboxdrv.new
+cp -f $CWD/vbox.cfg $PKG/etc/vbox/vbox.cfg.new
+install -m $MODE -g $GROUP src/VBox/Installer/linux/VBoxAddIF.sh $PKG/usr/lib/virtualbox/VBoxTap
+
+cd out/linux.x86/release/bin/
+ rm -f vboxdrv.ko
+ mv VBox.png $PKG/usr/share/pixmaps/
+ mv src $PKG/usr/src/vboxdrv-$VERSION
+ mv sdk nls* *.tar.gz $PKG/usr/share/virtualbox/
+ install -m $MODE -g $GROUP VBoxSysInfo.sh $PKG/usr/share/virtualbox/
+ install -m $MODE -g $GROUP VBoxTunctl $PKG/usr/bin/
+ rm -f VoxSysInfo.sh VBoxTunctl
+ mv * $PKG/usr/lib/virtualbox/
+ chown -R root:$GROUP $PKG/usr/lib/virtualbox/
+ chmod -R $MODE $PKG/usr/lib/virtualbox/
+ mv $PKG/usr/lib/virtualbox/VBox.sh $PKG/usr/lib/virtualbox/VBox
+cd -
+
+for i in $GUI VBoxManage VBoxSDL VBoxHeadless VBoxVRDP; do
+ ln -s /usr/lib/virtualbox/VBox $PKG/usr/bin/$i ;
+done
+
+for i in VBoxAddIF VBoxDeleteIF; do
+ ln -s /usr/lib/virtualbox/VBoxTap $PKG/usr/bin/$i
+done
+
+ln -s /usr/lib/virtualbox/vditool $PKG/usr/bin/vditool
+
+if [ "$harden" = "--enable-hardening" ]; then
+ for i in $GUI VBoxSDL VBoxHeadless; do
+ chmod 4${MODE} $PKG/usr/lib/virtualbox/$i
+ done
+fi
+
+if [ -e "$CWD/VBoxGuestAdditions_$VERSION.iso" ]; then
+ cp -f $CWD/VBoxGuestAdditions_$VERSION.iso \
+ $PKG/usr/share/virtualbox/VBoxGuestAdditions.iso
+fi
+
+if [ -e "$CWD/UserManual.pdf" ]; then
+ cp -f $CWD/UserManual.pdf \
+ $PKG/usr/share/virtualbox/UserManual.pdf
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -f COPYING COPYING.CDDL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz